.TH FDU "1" "June 2022" "freenom-dns-updater"
.SH NAME
fdu \- update Freenom DNS records
.SH SYNOPSIS
.B fdu
[\fIoptions\fR]
.SH DESCRIPTION
.B fdu
is a tool written in Python to update Freenom DNS records. It can be run
manually, or as a \fBsystemd\fR(1) service for automatic record updates.
.SH OPTIONS
.TP
\fB\-h\fR, \fB\-\-help\fR
Show a help message and exit.
.TP
.B \-\-version
Show the program's version and exit.
.TP
\fB\-n\fR \fIsubdomain\fR
To be used with \fBrecord update\fR; specify a subdomain.
.TP
.B \-c
To be used with \fBprocess\fR; cache the current IP address and update
the records only if there are any changes.
.TP
.B \-i
To be used with \fBprocess\fR; ignore any errors updating the records.
.TP
.B \-r
To be used with \fBprocess\fR; renew the domains that are updated.
.TP
\fB\-t\fR \fIseconds\fR
To be used with \fBprocess\fR; specify the time in seconds between updates.
.TP
\fBrecord update\fR \fIusername\fR \fIpassword\fR \fIdomain\fR
Update a domain's A/AAAA record with your current IP address, using your
Freenom credentials. Combine with \fB\-n\fR to update a subdomain's record.
.TP
\fBupdate\fR \fIconfig\fR
Update one or more domains from a configuration file or URL.
Usually this file is located in \fI/etc/freenom.yml\fR, but it can be anywhere.
A URL to a raw config (such as a pastebin or GitHub gist) can also be used.
.TP
\fBprocess\fR \fB\-t\fR \fIseconds\fR \fIconfig\fR
Same as \fBupdate\fR, except it automatically updates the domains every
amount of \fIseconds\fR specified with \fB\-t\fR. Can be combined with
\fB\-c\fR, \fB\-i\fR, and \fB\-r\fR as needed.
.SH FILES
.TP
.I /etc/freenom.yml
YAML-formatted configuration file for use with \fBupdate\fR and \fBprocess\fR.
An example for how this file should be formatted is available at
\fI/usr/share/doc/freenom-dns-updater/examples/freenom.yml.TEMPLATE\fR.
.SH EXAMPLES
.TP
fdu record update username@example.com password example.com \-n sub
Log into the Freenom account with email \fIusername@example.com\fR and
password \fIpassword\fR, and update the record of \fIsub.example.com\fR
with your current IP address.
.TP
fdu update /etc/freenom.yml
Update the domain or domains specified in \fI/etc/freenom.yml\fR.
.TP
fdu process \-c \-i \-r \-t 3600 /etc/freenom.yml
Update and renew the domains specified in \fI/etc/freenom.yml\fR every
3600 seconds, but only if the IP address has changed since last time.
Ignore any errors encountered during an update.
.SH COPYRIGHT
Copyright \(co 2016\-2020 Maxisoft <maxisoft@maxisoft.ga>.
.PP
.br
This is free software; see the source for copying conditions.
There is NO WARRANTY, to the extent permitted by law.
